<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:spaceless>

<f:if condition="{subMenu}">
  <ul class="nav nav-pills flex-column">
    <f:for each="{subMenu}" as="subMenuItem">
      <li class="nav-item">
        <a class="nav-link{f:if(condition:'{subMenuItem.active}', then: ' active')}" href="{subMenuItem.link}">{subMenuItem.title}</a>
        <f:if condition="{subMenuItem.children}">
          <f:render section="children" arguments="{children: subMenuItem.children}"/>
        </f:if>
      </li>
    </f:for>
  </ul>
</f:if>

<f:section name="children">
  <ul class="nav flex-column ml-3">
    <f:for each="{children}" as="child">
      <li class="nav-item">
        <a class="nav-link" href="{child.link}">{child.title}</a>
        <f:if condition="{child.children}">
          <f:render section="children" arguments="{children: child.children}"/>
        </f:if>
     </li>
    </f:for>
  </ul>
</f:section>

</f:spaceless>
</html>